Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.roads
Class RoadFinder.Intersections

    java.lang.Object
      com.bbn.openmap.tools.roads.RoadFinder.Intersections

Enclosing class:
  RoadFinder

public static class RoadFinder.Intersections
extends java.lang.Object

Constructor Summary
`RoadFinder.Intersections()`

Method Summary
`void` | `clear()`
`boolean` | `contains(Intersection intersection)`
`java.util.Enumeration` | `elements()`
`Intersection` | `get(java.lang.String name)`
`void` | `put(Intersection intersection)`
`void` | `remove(Intersection intersection)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoadFinder.Intersections

    public RoadFinder.Intersections()

Method Detail

### put

    public void put(Intersection intersection)

### remove

    public void remove(Intersection intersection)

### get

    public Intersection get(java.lang.String name)

### elements

    public java.util.Enumeration elements()

### contains

    public boolean contains(Intersection intersection)

### clear

    public void clear()

### size

    public int size()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details